diff --git a/packages/ti/drv/dss/src/csl/csl_priv.c b/packages/ti/drv/dss/src/csl/csl_priv.c
index 0ad3e38..2732da3 100755
--- a/packages/ti/drv/dss/src/csl/csl_priv.c
+++ b/packages/ti/drv/dss/src/csl/csl_priv.c
@@ -69,14 +69,14 @@ void CPS_BufferCopy(volatile uint8_t *dst, volatile const uint8_t *src, uint32_t
 
 void CPS_DelayNs(uint32_t ns)
 {
-    uint32_t ms = ns / 1000000;
-    if(0U == ms)
+    uint32_t us = ns / 1000;
+    if(0U == us)
     {
-        /* If less than 1 ms sleep requested, fall back to 1 ms */
-        ms = 1U;
+        /* If less than 1 us sleep requested, fall back to 1 us */
+        us = 1;
     }
 
-    Osal_delay(ms);
+    Osal_delay(us);
 }
 
 void CPS_ExtPhyReset(bool reset)
diff --git a/packages/ti/drv/dss/src/csl/dp/src/dp_mailbox.c b/packages/ti/drv/dss/src/csl/dp/src/dp_mailbox.c
old mode 100644
new mode 100755
index d212f59..15a2672
--- a/packages/ti/drv/dss/src/csl/dp/src/dp_mailbox.c
+++ b/packages/ti/drv/dss/src/csl/dp/src/dp_mailbox.c
@@ -160,11 +160,11 @@ void messageReceive(DP_PrivateData *pD, DP_BusType busType)
     uint16_t i = 0U;
     uint16_t messageSize;
     uint32_t mailboxEmpty;
-    uint32_t readVal, timeout = 4000U;
+    uint32_t readVal;
     MHDP_ApbRegs* regBase = selectRegBase(pD, busType);
 
     /* read header first, to get size of message */
-    while ((i < DP_MAILBOX_HEADER_SIZE) && (timeout != 0U))
+    while (i < DP_MAILBOX_HEADER_SIZE)
     {
         mailboxEmpty = CPS_REG_READ(&regBase->mhdp_apb_regs.MAILBOX_EMPTY_ADDR_p);
 
@@ -174,9 +174,6 @@ void messageReceive(DP_PrivateData *pD, DP_BusType busType)
             readVal = CPS_REG_READ(&regBase->mhdp_apb_regs.mailbox0_rd_data_p);
             pD->rxBuffer[i] = (uint8_t)(readVal & 0x000000FFU);
             i++;
-        } else {
-            CPS_DelayNs(1000000);
-            timeout--;
         }
     }
 
@@ -185,7 +182,7 @@ void messageReceive(DP_PrivateData *pD, DP_BusType busType)
     messageSize += DP_MAILBOX_HEADER_SIZE;
 
     /* read message */
-    while ((i < messageSize) && (i < 1024U) && (timeout != 0U))
+    while (i < messageSize)
     {
         mailboxEmpty = CPS_REG_READ(&regBase->mhdp_apb_regs.MAILBOX_EMPTY_ADDR_p);
 
@@ -195,9 +192,6 @@ void messageReceive(DP_PrivateData *pD, DP_BusType busType)
             readVal = CPS_REG_READ(&regBase->mhdp_apb_regs.mailbox0_rd_data_p);
             pD->rxBuffer[i] = (uint8_t)(readVal & 0x000000FFU);
             i++;
-        } else {
-            CPS_DelayNs(1000000);
-            timeout--;
         }
     }
 }
